Blog Yazılarım

Node.js 13 ICU Desteği Ve Kararlı Bir Worker Threads API Desteği Geldi

Node.js 13'ün piyasaya sürülmesiyle Uzun Süreli Destek'e (LTS) geçtiğini açıkladı

Node.js 12 sürüm 10 ve 8 ile birlikte en yeni LTS sürümü oldu. Bu sürüm Node.js 12.x'in 'Erbium' kod adıyla LTS'ye geçişini işaret ediyor. 12.x sürüm çizgisi şimdi “Aktif LTS” ye geçiyor ve Ekim 2020'ye kadar aynı kalacak. O zaman Nisan 2022'deki ömrünün sonuna kadar “Bakım” içerisine geçecek.

Yeni Node.js 13 sürümü daha hızlı başlatma ve daha iyi varsayılan yığın limitleri sunacak. V8, TLS ve llhttp güncellemelerini ve tanılama raporu, birlikte gelen diagnostic report yeteneği , Worker Threads, N-API ve daha fazlası için güncellemeler içerir.

Anahtar özellikler Node.js 13

Node.js 13 içerisindeki temel özelliklere bir göz atalım.

V8, V8 7.8’e yükseltme aldı

Bu sürüm yeni sürüm V8 7.8 ile uyumludur. V8 JavaScript motorunun bu yeni sürümü, Node.js'i dilde ve çalışma zamanında devam eden gelişmelerden haberdar etmek için performans ayarlamaları ve geliştirmeler getiriyor.

Tam ICU, Node.js 13'te varsayılan olarak etkindir.

Node.js 13'ten itibaren, tam-icu varsayılan olarak artık mevcut. Bu yüzlerce yerel dilin artık box desteklendiği anlamına geliyor. Bu, İngilizce olmayan dağıtımlara yönelik uygulamaların geliştirilmesini ve uygulanmasını kolaylaştıracaktır.

Kararlı Worker API

Worker Threads API artık hem Node.js 12 hem de Node.js 13'te kararlı bir özelliktir. Node.js zaten tek iş parçacıklı olay döngüsüyle iyi bir performans gösterse de, daha iyi sonuçlar için ek iş parçacıklarından yararlanılabilecek bazı kullanım durumları vardır .

Yeni derleyici ve platform desteği

Node.js ve V8, daha yeni C ++ özelliklerini kullanmaya ve daha yeni derleyici optimizasyonlarından ve güvenlik geliştirmelerinden yararlanmaya devam ediyorNode.js 13'ün piyasaya sürülmesiyle birlikte, kod temeli artık OS X geliştirme araçları ve AIX işletim sisteminin 7.2 sürümü için en az 10 sürüm gerektirecektir.

Buna ek olarak, Node.js uygulamaları oluşturmak için Python 3'ü destekleme konusunda ilerleme kaydedilmiştir Sahip Sistemleri Python 2 ve Python 3 yüklü hala Python 2 kullanmak mümkün olacak, ancak, sadece Python 3 ile kullanarak build etmek mümkün olmalıdır.

Bu sürüm hakkında daha fazla bilgi edinmek istiyorsanız, resmi Node.js blog yazısının yanı sıra sürüm notları için GitHub sayfasına bakın.





Bu yazıyı paylaş

Yorumlar (0)

Yorum Yap